### Enumeration

# Gio DBusServerFlags

since: 2.26

#### Declaration

    flags Gio.DBusServerFlags

#### Description

Flags used when creating a `GDBusServer`.

Available since: 2.26

#### Members

`G_DBUS_SERVER_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.26
`G_DBUS_SERVER_FLAGS_RUN_IN_THREAD`

  All `GDBusServer::new-connection` signals will run in separated dedicated threads (see signal for details).

  - Value: `1`
  - Nickname: `run-in-thread`
  - Available since: 2.26
`G_DBUS_SERVER_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS`

  Allow the anonymous authentication method.

  - Value: `2`
  - Nickname: `authentication-allow-anonymous`
  - Available since: 2.26
`G_DBUS_SERVER_FLAGS_AUTHENTICATION_REQUIRE_SAME_USER`

  Require the UID of the peer to be the same as the UID of the server when authenticating. (Since: 2.68)

  - Value: `4`
  - Nickname: `authentication-require-same-user`
  - Available since: 2.26